Status: Closed

Priority: Normal

Assignee:

Category: Data Provider/PostGIS

Affected QGIS version:2.12.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 21929

Description

Using PostgreSQL triggers saving layer edits gets slower and slower every time when saving a layer edit.  The problem occurs after a few

up to a few dozen saved layer edits. Finally QGIS freezes completely.

I've tried the posted triggers in the folowing link:

http://gis.stackexchange.com/questions/160320/how-to-use-interacting-postgresql-postgis-triggers-in-qgis

History

#1 - 2016-01-28 01:35 PM - Paul Kanelli

- Assignee deleted (Jürgen Fischer)

- Target version set to Version 2.14

Seems it is not a PostgSQL trigger issue. On Windows 7 QGIS 2.12.3 gets slower every time when saving a layer edit. Can someone edit the title?

#2 - 2016-01-29 12:11 AM - Paul Kanelli

Layer is a PostgreSQL/PostGIS table.

#3 - 2016-02-01 08:37 AM - Sandro Santilli

- Crashes QGIS or corrupts data changed from Yes to No

- Status changed from Open to Feedback

Do I understand correctly it still happens without any trigger defined ?

What kind of edits do you make ?

Can you provide a step-by-step guide on how to reproduce ?

I'm unchecking "causes crash or corruption" as I understand there's no corruption and no crash (but a freeze, which may be prevented by closing qgis after

some edits, and re-opening, right ?)

#4 - 2016-02-10 12:31 PM - Paul Kanelli

Meanwhile I suppose it's neither a trigger nor a PostGIS issue. Most of the time I'm just adding new features. QGIS gets slower every time saving layer

edits. After restarting QGIS everything is fine again until saving a few layer edits. I will provide a step by step guide within the next few days.
#5 - 2016-02-11 01:07 AM - Nyall Dawson

Try disabling all plugins. This behaviour is typical of badly behaved plugins.

#6 - 2016-02-12 11:06 AM - Paul Kanelli

- Status changed from Feedback to Closed

I've uninstalled all plugins and now everything seems to work. Many thanks!

#7 - 2016-02-12 11:34 AM - Giovanni Manghi

- Resolution set to invalid
